U++ - Bug #75
Assertion failed in void Rasterizer::LineRaw
07/10/2011 09:20 PM - Massimo Del Fedele

Status: Rejected Start date: 07/10/2011
Priority: Normal Due date:

Assignee: Massimo Del Fedele % Done: 0%
Category: General Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Trying to paint an image created by painter onto a report triggers assertion failed.
Attached the gtf string with the offending image (hopefully....)

Max

History

#1 - 07/10/2011 11:05 PM - Miroslav Fidler
- Category set to General
- Assignee set to Massimo Del Fedele

The problem is caused by providing NANs as endpoints in Line.

| have added some logging to Painter and this is what is in the provided file:

MoveOp [0, 0], false

LineOp [0, 480], false

LineOp [6700, 2824.993933], false
LineOp [13400, 480], false

LineOp [13400, 0], false

LineOp [NAN, NAN], false

ArcOp [6700, NAN], [NAN, NAN], NAN, NAN, false
LineOp [NAN, NAN], false

LineOp [0, 0], false

CloseOp

CloseOp

#2 -07/11/2011 11:41 AM - Konstantin Hartwich

the IsNaN defintion switch in Defs.h is buggy. it should use

#ifdef PLATFORM_WIN32

as condition, because GCC / MINGW under windows use the same _isnan()

linux and derivates use isnan()..

could anyone change that?
#3 - 07/12/2011 06:51 AM - Miroslav Fidler

Konstantin Hartwich wrote:

the IsNaN defintion switch in Defs.h is buggy. it should use

#ifdef PLATFORM_WIN32

as condition, because GCC / MINGW under windows use the same _isnan()

linux and derivates use isnan()..

could anyone change that?

Resolved.

#4 - 07/12/2011 06:51 AM - Miroslav Fidler

- Status changed from New to Rejected

Files

PainterBug.qtf.zip 1.57 MB 07/10/2011 Massimo Del Fedele
